/*******************************************************************************
 * FoxAIAction_Disperse generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_Disperse extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

var() float DispersalRadius;
var() float ValidationRadius;
var() float MinExitRange;
var() bool bMustBeReachableFromStartPos;

// Export UFoxAIAction_Disperse::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_Disperse::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

defaultproperties
{
    DispersalRadius=5000.0
    ValidationRadius=3000.0
    MinExitRange=10.0
    bCanAbort=false
    begin object name=AC class=FoxAIModifier_ActivationCounter
        NumActivations=1
    object end
    // Reference: FoxAIModifier_ActivationCounter'Default__FoxAIAction_Disperse.AC'
    Modifier=AC
    StateString="Dispersing"
}